import os
# The hostname used by this app
HOSTNAME: str = os.getenv('HOSTNAME')  # localhost or some name
# The port to broadcast the server
# 8087 or the port you want to run on. pass in with docker -e command.
SERVERPORT: int = 8087
# The API key for OpenAI
APIKEY: str = os.getenv('APIKEY')  # secret key from OpenAPI website
if APIKEY is None:
    raise Exception("APIKEY Environmental Variable must be set")
# The hash key
HASHKEY: str = None
hashKey = os.getenv('HASHKEY')  # shared secret for hmac of message
if (hashKey is not None and hashKey.replace(" ", "") != ""):
    HASKHEY = bytes(hashKey, "utf-8")
# The prompts used for OpenAI.
PROMPTS = ["Say \"USERNAME does not give a fuck\" in a thoughtful and clever paragraph of 5 sentences.",
           "Say \"USERNAME does not give a fuck\" in a Dr Suess poem.",
           "Tell me all about how much \"USERNAME does not give a fuck\" using your most colorful words."]
OPEN_AI_MAX_TOKENS = 500
OPEN_AI_COMPLETION_MODEL = "text-davinci-003"
MAX_MESSAGE_AGE = 600
